c %W% %G%
c
c  program  test_ask_number
c
c  Test ASK subroutines aski4, askf4, askf8.
c
c  M Webring, USGS, 4/96


	double precision  f8

	character   prompt*80
	character   p1*800, lf*1

	call askin

	lf = char( 10 )

        p1 = lf //
     1  '  Test ASK subroutines aski4, askf4, askf8.' //
     1  lf // lf //
     1  '   Each of these tests for i4,f4 and f8 arrays should'  //
     1  ' behave the same.  Floating point numbers maximums are' //
     1  ' 3.4e38 (both single and double precision) and the few' //
     1  ' numbers larger, like 3.40001e38 are ignored.' //
     1  '  The integer maximum of 2147483647 is similar.'  //
     1  lf // lf //
     1  '  The mu' //
     1  ' response is triggered by being the only characters' //
     1  ' entered.  CTL-EOT' //
     1  ' may or may not cause an immediate mu response depending' //
     1  ' on the particular host hardware.' // lf // lf

	call askpr( p1 )

30	print *
	prompt = 'Enter i4 number'
	call aski4( prompt, i4, kboard )
	if ( kboard .eq. -2 ) go to 999

	print 31, i4
31	format( i12 )

40	print *
	prompt = 'Enter f4 number'
	call askf4( prompt, f4, kboard )
	if ( kboard .eq. -2 ) go to 30

	print 41, f4
41	format( e16.8 )

50	print *
	prompt = 'Enter f8 number'
	call askf8( prompt, f8, kboard )
	if ( kboard .eq. -2 ) go to 40

	print 51, f8
51	format( d24.15 )

	go to 30

999	stop
	end
